function S(id){
	return document.getElementById(id)	//通过元素ID属性访问元素
}
function focusLogin(){
	formsearch.input_name.focus();	
}
var currentTypeId
function changeMenu(key, url){
	currentTypeId=key
	$("#admincpnav").html($("#header_"+key).html()+"&nbsp;&raquo;&nbsp;"+$("[href='"+url+"']").html())
	if(key == 'index' && url == 'index.asp'){
		parent.location.href = 'index.asp';
		//parent	指示在分级结构中是当前成员的父的成员
		return false;
	}
	//左侧菜单切换操控
	for(var k in topMenus){
		//if(S('menu_' + topMenus[k])){
			S('menu_' + topMenus[k]).style.display = topMenus[k] == key ? '' : 'none';
		//}
	}
	//上部菜单当前样式操控
	var lis = S('topmenu').getElementsByTagName('li');
	for(var i = 0; i < lis.length; i++){
		if(lis[i].className == 'navon') lis[i].className = '';
	}
	S('header_' + key).parentNode.parentNode.className = 'navon';
	//左侧菜当前链接显示操控
	if(url){
		parent.main.location = url;
		var hrefs = S('menu_' + key).getElementsByTagName('a');
		for(var j = 0; j < hrefs.length; j++){
			if(hrefs[j].href.indexOf(url)!=-1)
			{
				hrefs[j].className='menucurr'
			}else{
				hrefs[j].className= (hrefs[j].className == 'menucurr' ? '' : hrefs[j].className);
			}
		}
	}
	return false;
}

function initMenu(menuContainerid)
{
	var key = '';
	var hrefs = S(menuContainerid).getElementsByTagName('a');//getElementsByTagName　　作 用:传回指定名称的元素集合。
	for(var i = 0; i < hrefs.length; i++)	//	hrefs.length	作 用:取得元素的总个数	hrefs.length=69
	{	//初始化默认当前左链接
		if(menuContainerid == 'leftmenu' && !key && hrefs[i].href.indexOf("index.asp?notice")!=-1)//true&&true&&true
		{//indexOf	作 用:第一次出现子字符串的字符位置	
		key = hrefs[i].parentNode.parentNode.id.substr(5);
		//parentNode 	作 用:=某节点的父节点
			hrefs[i].className ='menucurr';
		//className  表示样式的名称
		}
		//左侧点击切换显示
		hrefs[i].onclick = function()//所有元素每一个的单击事件
		{					
			var lis = S(menuContainerid).getElementsByTagName('li');
			for(var k = 0; k < lis.length; k++)
			{
				lis[k].firstChild.className = '';
				//firstChild 属性=被选节点的第一个子节点。
			}
			$("#admincpnav").html($("#header_"+currentTypeId).html()+"&nbsp;&raquo;&nbsp;"+$(this).html())
			if(this.className == '') this.className = menuContainerid == 'leftmenu' ? 'menucurr' : 'bold';
		}
	}
	return key;
}